Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IEventHandler Class Referenceabstract
Graphical User Interface

Linux event handler interface. More...

`#include <iplugview.h>`

Inheritance diagram for IEventHandler:

## Public Member Functions
virtual void | onFDIsSet (FileDescriptor fd)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Linux event handler interface.

- [plug imp]
- [released: 3.6.8]
  See also
    IRunLoop

## Member Function Documentation

## ◆ onFDIsSet()

virtual void onFDIsSet | ( | FileDescriptor | fd | ) |
| pure virtual

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.